Subject: webDAV access on hosting plan

From: "claudio campeggi" <[email-masked]>
Date: Mon, 6 Nov 2006 22:54:19 +0100

Hi, i'm new to this mailing list. I heard about it after writing to
mr. Greg Stein.
I have a hosting provider that provides few services but taking good
care of them. It doesn't offer a webDAV access to my plan.
Since it supports a lot of languages (php, python, ruby on rail, perl,
etc..),and since webDAV is http-based, i'm wondering if there are some
"proxies" that interfaces the HTTP webDAV request to the server
directories (via ftp or even accessing to the disk).
I have seen some webDAV implementations written in pyton, perl, ruby
on rail, or a patch to Apache web server, but looking at the
installation instructions of each it seems that a root access to the
webserver is required.
Is there the opportunity to enable webDAV acces in my situation? If
not, is it tecnically feasible or a root access is mandatory?

Many thanks.
Claudio Campeggi